SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002596SOGo Connectorpublic2014-02-03 13:522017-05-03 11:33
Reporterojkastl 
Assigned Toludovic 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version17.0.5 
Target VersionFixed in Version 
Summary0002596: SoGo-Connector for SeaMonkey (formerly Mozilla Suite)
DescriptionThe existing SoGo-Connector xpi is only installable in Mozilla Thunderbird, but not in SeaMonkey.

History:
Seamonkey is the successor of the Mozilla Suite, from which Firefox and Thunderbird originate. So most of the code underneath the GUI is the same for Thunderbird and SeaMonkey.

According to https://lists.inverse.ca/sogo/arc/users/2012-12/msg00124.html, [^] the changes in the files inside the xpi are relatively small, so it would be not that difficult to create an xpi, that is installable and usable in SeaMonkey.

The link given above describes two changes, one regarding the install manifest, and one changing a description that differs between TB und SM in the backend.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0006560)
ojkastl (reporter)
2014-02-24 13:39
edited on: 2014-02-24 13:39

I forked the github repository of sogo-connector for thunderbird, and made the necessary changes in the files:
https://github.com/ojkastl/sogo-connector.SeaMonkey [^]

Could someone please test the xpi? As there seems to be a bug with owncloud, I can't test myself at the moment...

(0009849)
ghormoon (reporter)
2016-03-27 00:28

seems the request to test is a bit outdated, but I've tried it now on Seamonkey 2.39 and it works. this is the first version I've managed to do something.
I've been experimenting with others before and if I got it to install, it didn't sync at all.
Tested against OwnCloud 9.0.0
I'll test against DavMail in few days when I'll have MS Exchange available again.
User avatar (0011784)
ludovic (administrator)
2017-05-03 11:33

Fix pushed: https://github.com/inverse-inc/sogo-connector.tb31/commit/c76045083567299a31a8d46b6f460a870db578a4 [^]

- Issue History
Date Modified Username Field Change
2014-02-03 13:52 ojkastl New Issue
2014-02-24 13:39 ojkastl Note Added: 0006560
2014-02-24 13:39 ojkastl Note Edited: 0006560 View Revisions
2016-03-27 00:28 ghormoon Note Added: 0009849
2016-07-12 08:04 ludovic Status new => assigned
2016-07-12 08:04 ludovic Assigned To => ludovic
2017-05-03 11:33 ludovic Note Added: 0011784
2017-05-03 11:33 ludovic Status assigned => resolved
2017-05-03 11:33 ludovic Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker